Bug 858204 - The libvirt augeas lens can't parse a libvirtd.conf file where host_uuid is present
Summary: The libvirt augeas lens can't parse a libvirtd.conf file where host_uuid is p...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt
Version: 6.3
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Libvirt Maintainers
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 858988
TreeView+ depends on / blocked
 
Reported: 2012-09-18 10:13 UTC by Federico Simoncelli
Modified: 2013-02-21 07:24 UTC (History)
12 users (show)

Fixed In Version: libvirt-0.10.1-2.el6
Doc Type: Bug Fix
Doc Text:
When the host_uuid option was present in the libvirtd.conf file, the augeas libvirt lens was unable to parse the file. This bug has been fixed and the augeas libvirt lens now parses libvirtd.conf as expected in the described scenario.
Clone Of:
Environment:
Last Closed: 2013-02-21 07:24:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0276 normal SHIPPED_LIVE Moderate: libvirt security, bug fix, and enhancement update 2013-02-20 21:18:26 UTC

Description Federico Simoncelli 2012-09-18 10:13:17 UTC
Description of problem:
The augeas libvirt lens isn't able to parse a libvirtd.conf file where the host_uuid option is present.

Version-Release number of selected component (if applicable):
libvirt-0.9.10-21.el6_3.4

How reproducible:
100%

Steps to Reproduce:
1. augtool ls /files/etc/libvirt/libvirtd.conf | wc -l
2. echo host_uuid=\"00000000-0000-0000-0000-000000000000\" >> /etc/libvirt/libvirtd.conf
3. augtool ls /files/etc/libvirt/libvirtd.conf | wc -l
  
Actual results:
The augeas libvirt lens can't parse libvirtd.conf anymore.

Expected results:
The augeas libvirt lens must be able to parse libvirtd.conf.

Additional info:
Upstream patch: a9c779c Fix mistakes in augeas lens

Comment 1 Daniel Berrangé 2012-09-18 10:21:23 UTC
Upstream change is entirely self-contained to the augeas lens files, so it is zero risk to the actual libvirt code.

$ git show a9c779c | diffstat
 daemon/libvirtd.aug        |    4 ++++
 src/qemu/libvirtd_qemu.aug |    2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

Comment 2 Daniel Berrangé 2012-09-18 10:23:00 UTC
Already incorporated in the RHEL-6.4 build of libvirt 0.10.

Comment 3 Eric Blake 2012-09-18 12:40:08 UTC
(In reply to comment #2)
> Already incorporated in the RHEL-6.4 build of libvirt 0.10.

Needs to also go into 6.3.z.  Also, there was a bad backport for bug 838819 during 0.9.10-21.el6_3.3, which needs this fix:

diff --git a/src/locking/test_libvirt_sanlock.aug
b/src/locking/test_libvirt_sanlock.aug
index b00082c..b5169e1 100644
--- a/src/locking/test_libvirt_sanlock.aug
+++ b/src/locking/test_libvirt_sanlock.aug
@@ -4,7 +4,6 @@ module Test_libvirt_sanlock =
 disk_lease_dir = \"/var/lib/libvirt/sanlock\"
 host_id = 1
 require_lease_for_disks = 1
-ignore_readonly_and_shared_disks = 1
 "

    test Libvirt_sanlock.lns get conf =

Comment 4 Eric Blake 2012-09-18 21:02:59 UTC
Once the z-stream bug is created, we can move it to POST.
http://post-office.corp.redhat.com/archives/rhvirt-patches/2012-September/msg00528.html

Comment 9 zhpeng 2012-09-29 07:07:24 UTC
[root@zhpeng ~]# augtool ls /files/etc/libvirt/libvirtd.conf | wc -l
407
[root@zhpeng ~]#  echo host_uuid=\"00000000-0000-0000-0000-000000000000\" >> /etc/libvirt/libvirtd.conf
[root@zhpeng ~]#  augtool ls /files/etc/libvirt/libvirtd.conf | wc -l
408


pkg: libvirt-0.10.2-1.el6.x86_64

VERIFIED.

Comment 10 errata-xmlrpc 2013-02-21 07:24:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0276.html


Note You need to log in before you can comment on or make changes to this bug.